org.keycloak.connections.jpa.updater

## Interface JpaUpdaterProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    LiquibaseJpaUpdaterProvider

      public interface JpaUpdaterProvider
      extends Provider

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `JpaUpdaterProvider.Status` Status of database up-to-dateness

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `export(Connection connection, String defaultSchema, File file)` Exports the SQL update script into the given File.
    `void` | `update(Connection connection, String defaultSchema)` Updates the Keycloak database
    `JpaUpdaterProvider.Status` | `validate(Connection connection, String defaultSchema)` Checks whether Keycloak database is up to date with the most recent changesets

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### update

          void update(Connection connection,
                      String defaultSchema)

      Updates the Keycloak database
      Parameters:
        `connection` - DB connection
        `defaultSchema` - DB connection

    - #### validate

          JpaUpdaterProvider.Status validate(Connection connection,
                                             String defaultSchema)

      Checks whether Keycloak database is up to date with the most recent changesets
      Parameters:
        `connection` - DB connection
        `defaultSchema` - DB schema to use
      Returns:

    - #### export

          void export(Connection connection,
                      String defaultSchema,
                      File file)

      Exports the SQL update script into the given File.
      Parameters:
        `connection` - DB connection
        `defaultSchema` - DB schema to use
        `file` - File to write to

Copyright © 2021 JBoss by Red Hat. All rights reserved.